package main

import (
	"fmt"
	"net/http"
	"sirlab.de/go/knyc/handler"
)

func main() {
	app := handler.NewAuthMux()
	http.Handle("/", app)

	app.PublicHandleFunc("/__intern__/exit", handler.Exit)

	// hanlde login page
	fsHandler := http.FileServer(http.Dir("../client/dist/"))
  
	// default handler
	app.PublicHandle("/", fsHandler)

	// start listening
	fmt.Println("http://localhost:32039")
	http.ListenAndServe(":32039", nil)
}
